6 Jan 2015

The Yocto Project: Introducing devtool - updates!

Now that The Yocto Project's devtool is in the main trunk, some of the instructions from a previous post need to be updated. Here is a link to the updated instructions, enjoy!


  1. Hi Trevor, thanks for posting this! I have additional question - is it possible to use devtool for older yocto release like 1.6?

    1. Hi Piotr, I'd have to check with Paul to be 100% sure, but I'm 99% sure devtool won't run with 1.6. I know 2.0 is fully supported and I think 1.8 has partial support, but 1.6 is well before devtool was started.

  2. Hi Trevor, thanks for your reply. As far as I was able to check, devtool uses bitbake features that aren't available in yocto 1.6 release. And obviously in releases >1.6 there were a lot of changes in openembedded-core which bitbake uses. Conclusion is that devtool will not work with release 1.6.